For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETList Subkeys
        • POSTRegister Subkey
        • DELRevoke Subkey
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceSubkey

Register Subkey

POST
https://api.testnet.paradex.trade/v1/account/subkeys
POST
/v1/account/subkeys
$curl -X POST https://api.testnet.paradex.trade/v1/account/subkeys \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
Register a new subkey for the authenticated account.
Was this page helpful?
Previous

Revoke Subkey

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Request

Subkey registration request
namestringOptional

User-friendly name for the subkey.

public_keystringOptional
Public key to be registered as a subkey.

Response

An empty response

Errors

400
Bad Request Error
401
Unauthorized Error